import 'package:i18n_extension/i18n_extension.dart';

extension Localization on String {
  static final _t = Translations.byLocale('en_us') +
      {
        'es_es': {
          "+ Add Guardians": '+ Agregar Guardianes',
          "My Guardians": 'Mis Guardianes',
          "I'm Guardian For": 'Soy Guardián De',
          "Key Guardians": 'Guardianes De llave',
          "A motion to Recover your Key has been initiated by ":
              'Una moción para recuperar su llave ha sido iniciada por ',
          "Stop this Recovery": 'Detener esta recuperación ',
          "Are you sure you want to stop key recovery process":
              '¿Estás seguro de que quieres detener el proceso de recuperación de llave?',
          'No: Dismiss': 'No: Descartar',
          "Yes: Stop Key Recovery": 'Sí: detener la recuperación de Llave',
          "Activate Guardians!": '¡Activar Guardianes!',
          "Dismiss": 'Descartar',
          "At least three of your nominated Key Guardians have accepted your request. All that is left is to activate them, and they will be able to help you recover your account when you need.":
              'Al menos tres de sus Guardianes nominados han aceptado su solicitud. Todo lo que queda es activarlos, y podrán ayudarlo a recuperar su cuenta cuando lo necesite.',
          "Error Initializing Guardians": 'Error Al Inicializar Los Guardianes',
          "Success, Guardians are now Active":
              'Éxito, Los Guardianes ahora están Activos',
          "Next": 'Próximo',
          "Welcome to the \n Key Guardians feature.":
              'Bienvenido a la funcionalidad \n De Guardianes.',
          "Previous": 'Previo',
          "Here, you can invite 3 - 5 individuals to help you secure your SEEDS account.":
              'Aquí, puede invitar de 3 a 5 personas para que lo ayuden a proteger su cuenta de SEEDS.',
          "If you ever lose your phone, forget your password or keyphrase, your Key Guardians will help you recover your account.":
              'Si alguna vez pierde su teléfono, olvida su contraseña o llave, sus Guardianes lo ayudarán a recuperar su cuenta.',
          "Done": 'hecho',
          "Make sure to choose your guardians carefully and give them a heads up. The safety of your account may depend on them in the future!":
              'Asegúrate de elegir a tus guardianes con cuidado y avisarles. ¡La seguridad de su cuenta puede depender de ellos en el futuro!',
          "Error Removing Guardian": 'Error al eliminar Guardian',
          "Success, Guardian removed": 'Éxito, Guardián Removido',
          "Accept": 'Aceptar',
          "Decline": 'Declinar',
          "Cancel Request": 'Cancelar Petición',
          "Recovery Started": 'Recuperación Iniciada',
          "Action Required": 'Acción Requerida',
          "No users have added you to become their guardian yet. Once they do, you will see their request here.":
              'Ningún usuario te ha agregado para que seas su Guardian todavía. Una vez que lo hagan, verá su solicitud aquí.',
          "Requested": 'Solicitado',
          "You have added no user to become your guardian yet. Once you do, the request will show here.":
              'Aún no has agregado ningún usuario para que se convierta en tu Guardian. Una vez que lo haga, la solicitud se mostrará aquí.',
          "IMPORTANT: You need a minimum of 3 Guardians to secure your backup key":
              'IMPORTANTE: necesita un mínimo de 3 Guardianes para proteger su llave de respaldo',
          "Your guardians are active!": '¡Tus guardianes están activos!',
          "Remove Guardian?": '¿Eliminar Guardián?',
          "Are you sure you want to remove ":
              "¿Estás seguro de que desea eliminar ",
          " as your Guardian?": ' como tu Guardián?',
          'Invite Guardians': 'Invitar Guardianes',
          'The users below will be sent an invite to become your Guardian.':
              'Los siguientes usuarios recibirán una invitación para convertirse en su Guardian.',
          'Send Invite': 'Enviar Invitacion',
          'Oops, something went wrong. Please try again later':
              'Ups! Algo salió mal. Por favor, inténtelo de nuevo más tarde',
          'Invites Sent!': 'Invitaciones Enviadas',
          'Ok': "Okay",
          'Select Guardian': 'Seleccionar Guardian',
          'Choose existing Seeds Member to add as guardians':
              'Elija miembros de Seeds para agregar como guardianes',
          'Select up to 5 Guardians to invite':
              'Selecciona hasta 5 guardianes para invitar ',
          'Enter user name or account': 'Ingresa nombre de cuenta',
        },
        'pt_br': {
          "+ Add Guardians": '+ Adicionar Guardiões',
          "My Guardians": 'Meus Guardiões',
          "I'm Guardian For": 'Sou Guardião De',
          "Key Guardians": 'Guardiões de chave',
          "A motion to Recover your Key has been initiated by ":
              'Uma moção para recuperar sua chave foi iniciada por ',
          "Stop this Recovery": 'Parar essa recuperação ',
          "Are you sure you want to stop key recovery process":
              'tem certeza que deseja parar o processo de recuperação de chave?',
          'No: Dismiss': 'Não: Descartar',
          "Yes: Stop Key Recovery": 'Sim: Parar a recuperação de chave',
          "Activate Guardians!": 'Ativar Guardiões!',
          "Dismiss": 'Descartar',
          "At least three of your nominated Key Guardians have accepted your request. All that is left is to activate them, and they will be able to help you recover your account when you need.":
              'Ao menos três de seus Guardiões nominados aceitaram sua solicitação. Basta ativá-los e poderão ajudá-lo a recuperar sua conta quando precisar.',
          "Error Initializing Guardians": 'Erro Inicializando Guardiões',
          "Success, Guardians are now Active":
              'Sucesso, os Guardiões estão Ativos',
          "Next": 'Próximo',
          "Welcome to the \n Key Guardians feature.":
              'Bem-vindo à seção \n De Guardiões de chave.',
          "Previous": 'Anterior',
          "Here, you can invite 3 - 5 individuals to help you secure your SEEDS account.":
              'Aqui, pode convidar de 3 a 5 pessoas para te ajudarem a proteger sua conta SEEDS.',
          "If you ever lose your phone, forget your password or keyphrase, your Key Guardians will help you recover your account.":
              'Se perder seu celular, esquecer sua senha ou chave, seus Guardiões o ajudarão a recuperar sua conta.',
          "Done": 'Ok',
          "Make sure to choose your guardians carefully and give them a heads up. The safety of your account may depend on them in the future!":
              'Escolha seus Guardiões com cautela. A segurança de sua conta pode depender deles no futuro!',
          "Error Removing Guardian": 'Erro ao remover Guardião',
          "Success, Guardian removed": 'Sucesso, Guardião removido',
          "Accept": 'Aceitar',
          "Decline": 'Negar',
          "Cancel Request": 'Cancelar Requisição',
          "Recovery Started": 'Recuperação Iniciada',
          "Action Required": 'Ação Requerida',
          "No users have added you to become their guardian yet. Once they do, you will see their request here.":
              'Nenhum usuário adicionou você como Guardião ainda. Uma vez que isso ocorra, verá as solicitações aqui.',
          "Requested": 'Solicitado',
          "You have added no user to become your guardian yet. Once you do, the request will show here.":
              'Você ainda não fez nenhuma solicitação de Guardiões ainda. Uma vez que isso ocorra, vera as solicitações aqui.',
          "IMPORTANT: You need a minimum of 3 Guardians to secure your backup key":
              'IMPORTANTE: você precisa de um mínimo de 3 Guardiões para proteger sua chave de recuperação',
          "Your guardians are active!": 'Seus guardiões estão ativos!',
          "Remove Guardian?": 'Remover Guardião?',
          "Are you sure you want to remove ":
              "Tem certeza que deseja eliminar ",
          " as your Guardian?": ' como Guardião?',
          'Invite Guardians': 'Convidar Guardiões',
          'The users below will be sent an invite to become your Guardian.':
              'Os seguintes usuários receberão um convite para se tornarem seus Guardiões.',
          'Send Invite': 'Enviar Convite',
          'Oops, something went wrong. Please try again later':
              'Ops! Algo deu errado. Por favor, tente novamente mais tarde',
          'Invites Sent!': 'Convites Enviados!',
          'Ok': "Ok",
          'Select Guardian': 'Selecionar Guardião',
          'Choose existing Seeds Member to add as guardians':
              'Escolha membros do Seeds para incluir como guardiões',
          'Select up to 5 Guardians to invite':
              'Selecione até 5 Guardiões para convidar',
          'Enter user name or account': 'Digite o nome ou conta',
        }
      };

  String get i18n => localize(this, _t);

  String fill(List<Object> params) => localizeFill(this, params);
}
